#coding=utf8

# This file is part of CloudControl.
#
# CloudControl is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# CloudControl is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with CloudControl.  If not, see <http://www.gnu.org/licenses/>.

'''
CloudControl delforward command
'''

from cccli.command import Command
from cccli.exception import *

class Command_delforward(Command):
    '''Delete forwarded connection'''

    def __init__(self, cli, argv0):
        Command.__init__(self, cli, argv0)

    def __call__(self, argv):
        # argv check
        if len(argv) < 2:
            raise cmdBadArgument()
        for fwd_id in argv[1:]:
            if fwd_id in self.cli.forwards:
                self.printer.out("Closing %s" % fwd_id)
                self.cli.forwards[fwd_id].stop()
                del self.cli.forwards[fwd_id]
            else:
                self.printer.warn("No such forward: %s" % fwd_id)

    def usage(self):
        return "Usage: delforward <tunnel id> [tunnel id]..."
